ZIOMON(8)

NAME
ziomon - Collect data for performance analysis of fcp adapters.

SYNOPSIS
ziomon [-h] [-V] [-v] [-f] [-l <sz_limit>] [-i n] -d n -o <logfile> <device>...

DESCRIPTION
ziomon starts and controls various utilities to collect data for performance analysis for a specified duration. Note that it is possible to specify multipath devices also. If multipath devices are specified, the respective regular devices used by the multipath devices will be monitored.

OPTIONS

-h or --help
    Print help information, then exit.

-v or --version
    Print version information, then exit.

-V or --verbose
    Be verbose.

-f or --force
    Force start of data collection even though there is insufficient free disk space.

-l or --size-limit
    Upper limit of the output files. May include one of the suffixes M (megabytes), G (gigabytes) or T (terabytes) to specify a unit measure. Unit measure defaults to megabytes. Note that this is only a tentative value which might be slightly exceeded.

-i or --interval-length
    Specify the time to elapse between recording data in seconds. Must be an even number. Defaults to 60 seconds.

-d or --duration
    Overall monitoring duration in minutes. Must be a multiple of the interval length.

-o or --outfile
    Basename for output files.

device
    specifies a device to collect respective data for.

EXAMPLES
Collect data for devices /dev/sda, /dev/sdg, /dev/sdp and the multipath device /dev/mapper/36005076303ffc104000000000000212b for 5 minutes. Data should be sampled every 20 seconds. The collected data size should not exceed 50 MB. The output files should base their names on 'trace_data': ziomon -i 20 -d 5 -l 50M -o trace_data /dev/mapper/36005076303ffc104000000000000212b /dev/sda /dev/sdg /dev/sdp

SEE ALSO
ziomon_mgr(8), ziomon_util(8), ziomon_zfcpdd(8) ziomon_fcpconf(8)